BizKitHub
DocsAPI ReferenceBranch/bff/branch/attach-calendar
postBranchAdmin BFF

/bff/branch/attach-calendar

Sets core__calendar.branch_id = branchId. The calendar must belong to the same organisation. A calendar can only be attached to one branch at a time.

BranchpostBffBranchAttach-calendar

Parameters

JSON body

Request body

application/json
slugstringRequired

Branch slug.

calendarIdstringRequired

Calendar ID to attach.

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

POST /bff/branch/attach-calendar

post
curl -X POST "https://api.bizkithub.com/bff/branch/attach-calendar" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "slug": "example_slug",
  "calendarId": "example_calendarId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key